const express = require('express');
const app = express();
const router = express.Router();
const db = require('../config/db');

// 第二个接口
// 根据goodId获取商品详情
router.post('/detail',function(req,res){
    let params = req.fields;
    console.log(params);
    // 1.1.验证是否有Id参数
    if(typeof params.Id === 'undefined'){
        res.json({
            code:'0000',
            message:'params empty'
        })
        return
    }
    // 1.2.验证page参数是否为数字字符
    if(!parseInt(params.Id)){
        res.json({
            code:'0001',
            message:'params type error'
        })
        return
    }
    // 2.根据Id值返回对应的商品详情
    let Id = parseInt(params.Id);
    console.log(Id);
    let sql = `select * from goods where Id=?;`
    db.query(sql,[Id]).then((data)=>{
        console.log(data);
        res.json({
            code:'2000',
            message:'get shopDetail successfuly',
            data,
        })
    }).catch((err)=>{
        console.log(err);
        res.json(err)
    })
    
})

module.exports = router