const express = require('express');
const app = express();
const router = express.Router();
const db = require('../config/db');
const jwt = require('jsonwebtoken');

app.use(router)
router.post('/login',(req,res)=>{
    // 1.接收请求参数
    let params = req.fields;
    console.log(params);
    // 2.验证请求参数是否有undefined
    if(typeof params.userName == 'undefined' || typeof params.password == 'undefined'){
        res.json({
            code:'0000',
            message:'params empty'
        })
        return
    }
    // 3.验证参数是否合法
    let userRes = /^\w{6,12}$/.test(params.userName);
    let psdRes = /^\w{6,12}$/.test(params.password);
    if(!userRes || !psdRes){
        res.json({
            code:'0001',
            message:'params type error'
        })
        return
    }
    // 4.查询数据库user是否存在该用户
    let sql = `select userName from user where userName=?;`
    db.query(sql,[params.userName]).then((data)=>{
        // console.log(data);
        if(data.length>0){
            // 用户名存在 验证密码
            // 5.根据查询结果验证password是否正确
            let sql = `select password from user where userName=?;`
            db.query(sql,[params.userName]).then((data)=>{
                // console.log(data[0].password);
                if(params.password == data[0].password){
                    console.log('===========');
                    let token = jwt.sign({
                        name:params.userName
                    },'my_token_YF',{
                        expiresIn:1000*60*60*2
                    });
                    let timer = new Date().getTime();
                    
                    // 将生成的token以及当前的timer时间戳存入数据库 ------
                    let sql = `update user set token=?,timer=? where userName=?;`
                    console.log(sql);
                    db.query(sql,[token,timer,params.userName]).then((data)=>{
                        console.log('11111111111');
                        res.json({
                            code:'2000',
                            message:'login successfuly',
                            token,
                            timer,
                        })
                    }).catch((err)=>{
                        console.log(err);
                        res.json(err)
                    })
                   
                    // 6.用户名密码正确：生成token并返回
                    return
                }else{
                    res.json({
                        code:'2008',
                        message:'password is error'
                    })
                }
            })
        }

       
    }).catch((err)=>{
        console.log(err,'----------');
    })
    
   
    
})
module.exports = router